summaryrefslogtreecommitdiff
path: root/VERSION-GEN
diff options
context:
space:
mode:
Diffstat (limited to 'VERSION-GEN')
-rwxr-xr-xVERSION-GEN47
1 files changed, 47 insertions, 0 deletions
diff --git a/VERSION-GEN b/VERSION-GEN
new file mode 100755
index 00000000..3945d05f
--- /dev/null
+++ b/VERSION-GEN
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+if test -f AUTHORS.txt
+then
+ VF=src/VERSION_FILE.inc
+else
+ VF=../../VERSION_FILE.inc
+fi
+DEF_VER=v0.6
+
+LF='
+'
+
+# First see if there is a version file (included in release tarballs),
+# then try git-describe, then default.
+if test -f version
+then
+ VN=$(cat version) || VN="$DEF_VER"
+elif test -d .git -o -f .git &&
+ VN=$(git describe --abbrev=4 HEAD 2>/dev/null) &&
+ case "$VN" in
+ *$LF*) (exit 1) ;;
+ v[0-9]*)
+ git update-index -q --refresh
+ test -z "$(git diff-index --name-only HEAD --)" ||
+ VN="$VN-dirty" ;;
+ esac
+then
+ VN=$(echo "$VN" | sed -e 's/-/./g');
+else
+ VN="$DEF_VER"
+fi
+
+VN=$(expr "$VN" : v*'\(.*\)')
+
+if test -r $VF
+then
+ VC=$(sed -e 's/^FPGUI_VERSION = //' <$VF)
+else
+ VC=unset
+fi
+test "$VN" = "$VC" || {
+ echo >&2 "FPGUI_VERSION = '$VN';"
+ echo "FPGUI_VERSION = '$VN';" >$VF
+}
+
+